| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::GeoIfaceInternalWidgetInfo Class Reference

Class to hold information about map widgets stored in the GeoIfaceGlobalObject. More...

## Public Types
typedef void(* | DeleteFunction) (GeoIfaceInternalWidgetInfo *const info)
enum | InternalWidgetState { InternalWidgetReleased = 1 , InternalWidgetUndocked = 2 , InternalWidgetStillDocked = 4 }
typedef QFlags< InternalWidgetState > | InternalWidgetStates

## Public Attributes
QVariant | backendData
QString | backendName
QPointer< QObject > | currentOwner
DeleteFunction | deleteFunction
InternalWidgetStates | state
QPointer< QWidget > | widget

## Detailed Description